using System;
using System.Runtime.Serialization;
using System.Xml;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationLDGGet2019
{
    /// <summary>
    /// LDGGet
    /// </summary>
    [DataContract(Name = "LDGGet", Namespace = "http://www.sbr.gov.au/ato/ldgget")]
    public class LDGGet
    {

        [DataMember(EmitDefaultValue = false, Order = 1)]
        public INT INT { get; set; }

        [DataMember(EmitDefaultValue = false, Order = 2)]
        public RP RP { get; set; }
    }

    /// <summary>
    /// Intermediary
    /// </summary>
    [DataContract(Name = "INT", Namespace = "http://www.sbr.gov.au/ato/ldgget")]
    public class INT
    {

        /// <summary>
        /// Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string AustralianBusinessNumberId { get; set; }

        /// <summary>
        /// Registered Agent Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string TaxAgentNumberId { get; set; }
    }

    /// <summary>
    /// Reporting Party
    /// </summary>
    [DataContract(Name = "RP", Namespace = "http://www.sbr.gov.au/ato/ldgget")]
    public class RP
    {

        /// <summary>
        /// Tax File Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 1)]
        public string TaxFileNumberId { get; set; }

        /// <summary>
        /// Australian Business Number
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 2)]
        public string AustralianBusinessNumberId { get; set; }

        /// <summary>
        /// Transaction identifier
        /// </summary>
        [DataMember(EmitDefaultValue = false, Order = 3)]
        public string BusinessDocumentGovernmentGeneratedId { get; set; }
    }
}

