using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationLDGList
{
    public class LDGList2023
    {

        public bool IntCollectionExists = false;
        public int IntCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// LDG:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string LDG1 = null;

        /// <summary>
        /// /xbrli:xbrl/:INT
        /// LDG:pyid.02.00:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string LDG2 = null;

        public bool RpCollectionExists = false;
        public int RpCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// LDG:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string LDG3 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP
        /// LDG:pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string LDG4 = null;

        public bool RP_SearchCriteriaCollectionExists = false;
        public int RP_SearchCriteriaCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:rvctc3.02.23:Tax.Account.Identifier
        /// </summary>
        public string LDG5 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:rvctc3.02.23:Tax.AccountSequence.Number
        /// </summary>
        public decimal? LDG8 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:rvctc3.02.23:Tax.AccountType.Code
        /// </summary>
        public string LDG6 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:rvctc3.02.20:Tax.RoleType.Code
        /// </summary>
        public string LDG30 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:pyin.02.45:Report.Category.Code
        /// </summary>
        public string LDG9 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:pyin.02.00:Period.Start.Date
        /// </summary>
        public DateTime? LDG10 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:pyin.02.00:Period.End.Date
        /// </summary>
        public DateTime? LDG11 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:SearchCriteria
        /// LDG:pyin.02.55:Lodgment.Status.Code
        /// </summary>
        public List<string> LDG31Collection = null;

        public bool RP_PaginationCollectionExists = false;
        public int RP_PaginationCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.26:Interaction.RecordLimit.Count
        /// </summary>
        public decimal? LDG19 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:rvctc3.02.23:Tax.Account.Identifier
        /// </summary>
        public string LDG20 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:rvctc3.02.23:Tax.AccountType.Code
        /// </summary>
        public string LDG33 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:rvctc3.02.20:Tax.RoleType.Code
        /// </summary>
        public string LDG21 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.18:BusinessDocument.GovernmentGenerated.Identifier
        /// </summary>
        public string LDG28 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.00:BusinessDocument.Creation.Datetime
        /// </summary>
        public DateTime? LDG22 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.00:Lodgment.Received.Date
        /// </summary>
        public DateTime? LDG23 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.00:Period.Start.Date
        /// </summary>
        public DateTime? LDG25 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.00:Period.End.Date
        /// </summary>
        public DateTime? LDG26 = null;

        /// <summary>
        /// /xbrli:xbrl/:RP/:Pagination
        /// LDG:pyin.02.00:Report.Statement.PeriodSequence.Number
        /// </summary>
        public decimal? LDG27 = null;

    }
}
